Bug 1650693 - Tag assignment made to service in SUI disappears shortly after the assignment is made
Summary: Tag assignment made to service in SUI disappears shortly after the assignment...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - Service
Version: 5.10.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.10.0
Assignee: Allen W
QA Contact: Nandini Chandra
Red Hat CloudForms Documentation
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-16 21:09 UTC by Nandini Chandra
Modified: 2019-02-12 16:51 UTC (History)
7 users (show)

Fixed In Version: 5.10.0.25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-12 16:51:01 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)
recording to demonstrate the reported issue (124.61 KB, application/octet-stream)
2018-11-16 21:09 UTC, Nandini Chandra
no flags Details

Description Nandini Chandra 2018-11-16 21:09:35 UTC
Created attachment 1506553 [details]
recording to demonstrate the reported issue

Description of problem:
----------------------
Tag assignment made to service in SUI through the service summary page disappears shortly after the assignment is made.

See attached video.

Tag assignment can still be made through Policy->Edit tags.

The ability to tag a service through its summary page didn't exist in 59.
59 does provide the option to tag a service through Policy->Edit tags.

Version-Release number of selected component (if applicable):
-------------------------------------------------------------
5.10.0.23


How reproducible:
----------------
Always


Steps to Reproduce:
-------------------
1.
2.
3.


Actual results:
---------------
Tag assignment made to service in SUI disappears shortly after the assignment is made


Expected results:
------------------
Tag assignment made to service in SUI should be persistent after the assignment is made


Additional info:
----------------

Comment 2 Allen W 2018-11-16 21:48:24 UTC
Verified, yah shouldn't be able to edit tags there, it should be read only, working on the fix...

Comment 3 Allen W 2018-11-16 22:04:33 UTC
https://github.com/ManageIQ/manageiq-ui-service/pull/1497

Heres the pr for it!

Comment 4 Allen W 2018-11-19 15:38:15 UTC
This was merged!

Comment 5 Allen W 2018-11-19 15:38:28 UTC
This was merged!

Comment 6 CFME Bot 2018-11-19 18:32:49 UTC
New commit detected on ManageIQ/manageiq-ui-service/hammer:

https://github.com/ManageIQ/manageiq-ui-service/commit/af29bdaaf19c57998565b1bf6a4f69fc13fe6ee5
commit af29bdaaf19c57998565b1bf6a4f69fc13fe6ee5
Author:     Martin Hradil <himdel@seznam.cz>
AuthorDate: Mon Nov 19 10:31:43 2018 -0500
Commit:     Martin Hradil <himdel@seznam.cz>
CommitDate: Mon Nov 19 10:31:43 2018 -0500

    Merge pull request #1497 from AllenBW/BZ/#1650693-fix-tagging-readonly-issue

    BZ#1650693 If tagging is readonly we should not show the edit dropdown

    (cherry picked from commit 953635b5b8a21387f775f94af6b6c325200992de)

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1650693

 client/app/shared/tagging/tagging.component.js | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Comment 7 Nandini Chandra 2018-12-03 18:33:28 UTC
Verified in 5.10.0.27


Note You need to log in before you can comment on or make changes to this bug.